itpp::it_file_base_old::data_header Struct Reference

Data header structure. More...

`#include <itpp/base/itfile.h>`

## Public Attributes

char | endianity
| 0=little, 1=big
std::string | name
| data name
std::string | type
| data type, e.g. int32, float32, etc. type = "" means deleted
uint32_t | hdr_bytes
uint32_t | data_bytes
uint32_t | block_bytes

## Detailed Description

Data header structure.

Definition at line 673 of file itfile.h.

## Member Data Documentation

## hdr_bytes

uint32_t itpp::it_file_base_old::data_header::hdr_bytes

size variables

Definition at line 678 of file itfile.h.

Referenced by itpp::it_ifile_old::read_data_header(), itpp::it_file_old::remove(), itpp::it_file_old::write_data_header(), and itpp::it_file_old::write_data_header_here().

## data_bytes

uint32_t itpp::it_file_base_old::data_header::data_bytes

size variables

Definition at line 678 of file itfile.h.

Referenced by itpp::it_ifile_old::info(), itpp::it_ifile_old::read_data_header(), itpp::it_file_old::remove(), itpp::it_file_old::write_data_header(), and itpp::it_file_old::write_data_header_here().

## block_bytes

uint32_t itpp::it_file_base_old::data_header::block_bytes

size variables

Definition at line 678 of file itfile.h.

Referenced by itpp::it_ifile_old::read_data_header(), itpp::it_file_old::remove(), itpp::it_ifile_old::seek(), itpp::it_file_old::write_data_header(), and itpp::it_file_old::write_data_header_here().

The documentation for this struct was generated from the following file:

- itpp/base/itfile.h

Generated on Sat Sep 30 2017 07:04:09 for IT++ by Doxygen 1.8.13